/*------------------------------------*\
    #MENU-FOOTER
\*------------------------------------*/
/**
 * Footer navigation component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}newsletter-subscribe,
%#{$inuit-namespace}newsletter-subscribe {
    text-transform: uppercase;
    display: inline-block;
    height: $drk-base-unit-small;
    margin: 4px 20px 0 0;
    padding: 8px 0;
    min-width: 200px;

    @media #{$medium} {
        float: left;
        vertical-align: middle;
        margin: 0;
        margin-top: -3px;
    }

    @media #{$large-up} {
        height: $drk-base-unit;
        margin-top: 0;
    }
}

.#{$inuit-namespace}newsletter-subscribe__text,
%#{$inuit-namespace}newsletter-subscribe__text {
    margin: 0;
    padding: 0;
    line-height: 35px;
}

.#{$inuit-namespace}newsletter-subscribe__btn-img,
%#{$inuit-namespace}newsletter-subscribe__btn-img {
    padding: 0;
    fill: $drk-color-blue;

    @media #{$large-up} {
        padding: rem-calc(5px);
    }
}

.#{$inuit-namespace}newsletter-subscribe__btn-container,
%#{$inuit-namespace}newsletter-subscribe__btn-container {
    display: inline-block;
    float: left;
    height: .8 * $drk-base-unit-small;
    width: .8 * $drk-base-unit-small;
    margin-right: 10px;
}

